local _G = getfenv(0)

function Skinner:CT_RaidAssist()
	if not self.db.profile.FriendsFrame then return end

	-- skin the Tab
	self:keepRegions(FriendsFrameTab5, {7,8}) -- N.B. these regions are text
	self:moveObject(FriendsFrameTab5, "+", 9, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(FriendsFrameTab5, nil ,0)
	else self:applySkin(FriendsFrameTab5) end

	self:moveObject(CT_RAOptionsButton, "-", 40, "+", 10)
	self:moveObject(CT_RACheckAllGroups, "-", 40, "+", 10)
	self:moveObject(CT_RAOptionsFrameCheckAllGroupsText, "-", 40, "+", 10)
	self:moveObject(CT_RAOptionsGroup1, "-", 7, "+", 8)

	self:removeRegions(CT_RAMenuFrame, {1, 2, 3, 4, 5, 6, 7}) -- N.B. region 8 is text
	self:moveObject(CT_RAMenuFrameHeader, nil, nil, "-", 8)
	self:moveObject(CT_RAMenuFrameCloseButton, "+", 40, "+", 2)
	self:applySkin(CT_RAMenuFrame)
	
	self:removeRegions(CT_RAMenuFrameGeneralDisplayHealthDropDown, {1, 2, 3}) -- N.B. regions 4 & 5 are text
	self:removeRegions(CT_RAMenuFrameGeneralMiscDropDown, {1, 2, 3}) -- N.B. regions 4 & 5 are text
	self:removeRegions(CT_RAMenuFrameBuffsBuffsDropDown, {1, 2, 3}) -- N.B. regions 4 & 5 are text

-->>--	Option Sets Frame
	self:HookScript(CT_RAMenu_NewSetFrame, "OnShow", function()
		self.hooks[CT_RAMenu_NewSetFrame].OnShow()
		self:removeRegions(CT_RAMenu_NewSetFrame, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}) -- N.B. regions 11-13 are text
		self:applySkin(CT_RAMenu_NewSetFrame)
		local ebName = CT_RAMenu_NewSetFrameNameEB
		self:moveObject(ebName, "+", 5, "-", 10)  
    	self:skinEditBox(ebName)
		self:Unhook(CT_RAMenu_NewSetFrame, "OnShow")
		end)
		
	self:HookScript(CT_RAMenu_DeleteSetFrame, "OnShow", function()
		self.hooks[CT_RAMenu_DeleteSetFrame].OnShow()
		self:removeRegions(CT_RAMenu_DeleteSetFrame, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}) -- N.B. regions 11-13 are text
		self:applySkin(CT_RAMenu_DeleteSetFrame)
		self:Unhook(CT_RAMenu_DeleteSetFrame, "OnShow")
		end)
	
end
